
// AX_Std_DemoDlg.h : header file
//

#pragma once
#include "foxitpdfsdkstdctrl.h"
#include "CPDFPrinter.h"
#include "FindDlg.h"
#include "Zoom.h"
#include "CPDFOutline.h"
#include "Gotopage.h"
#include "FindFoldDlg.h"
#include "CLink_Dest.h"
#include "PasswordInputDlg.h"
#include "LanSelDlg.h"

// CAX_Std_DemoDlg dialog
class CAX_Std_DemoDlg : public CDialog
{
// Construction
public:
	CAX_Std_DemoDlg(CWnd* pParent = NULL);	// standard constructor
	CFile m_f;
	BOOL m_bOpenCustomer;
// Dialog Data
	enum { IDD = IDD_AX_STD_DEMO_DIALOG };
	CTreeCtrl	m_outlinetree;
	CRect m_RightRect;
	CRect m_LeftRect;
	long zoomfactor;
	short rotatefactor;	
	BOOL m_bhidebookmark;
	CFoxitPDFSDK m_AX;
public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;
	CToolBar m_wndToolBar;
	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnFileOpen();
	afx_msg void OnFilePrint();
	afx_msg void OnFindText();
	afx_msg void OnZoomIn();
	afx_msg void OnZoomOut();
	afx_msg void OnZoomTo();
	afx_msg void OnRotateRight();
	afx_msg void OnRotateLeft();
	afx_msg void OnFirstPage();
	afx_msg void OnLastPage();
	afx_msg void OnNextPage();
	afx_msg void OnPrevPage();
	afx_msg void OnClickTree1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnHandTool();
	afx_msg void OnZoomInTool();
	afx_msg void OnZoomOutTool();
	afx_msg void OnPreviousView();
	afx_msg void OnNextView();
	afx_msg void OnGotoPage();
	afx_msg void OnAbout();
	afx_msg void OnHideBookmark();
	afx_msg void OnFileClose();
	afx_msg void OnFindFile();
	afx_msg void OnSinglePage();
	afx_msg void OnFace();
	afx_msg void OnContinuousPage();
	afx_msg void OnContinuousFace();
	afx_msg void OnActualSize();
	afx_msg void OnFitPage();
	afx_msg void OnFitWidth();
	afx_msg void OnOnHypeLinkFoxitpdfsdkstdctrl1(LPCTSTR linktype, LPCTSTR linkdata, LPDISPATCH dest, BOOL FAR* cancel);
	afx_msg void OnCustomFileGetSizeFoxitpdfsdkstdctrl1(long FAR* size);
	afx_msg void OnCustomFileGetBlockFoxitpdfsdkstdctrl1(long pos, long pBuf, long size);
	afx_msg void OnExit();
	afx_msg void OnCustomfileOpen();
	afx_msg void OnDocumentInfo();
	afx_msg void OnFileSave();
	afx_msg void OnFileSaveas();
	afx_msg void OnCopyText();
	afx_msg void OnOnSearchProgressFoxitpdfsdkstdctrl1(long pageNumber, long PageCount);
	afx_msg void OnOnOpenDocumentFoxitpdfsdkstdctrl1(LPCTSTR FilePath);
	afx_msg void OnPrintNotshow();
	afx_msg void OnOnOpenPasswordFoxitpdfsdkstdctrl1(BSTR FAR* Password, BOOL FAR* cancel);
	afx_msg void OnOnPageChangeFoxitpdfsdkstdctrl1();
	afx_msg void OnOnZoomChangeFoxitpdfsdkstdctrl1();
	afx_msg void OnAfterDrawFoxitpdfsdkstdctrl1(long dc);
	afx_msg void OnBeforeDrawFoxitpdfsdkstdctrl1(long dc);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnOpenMemfile();
	afx_msg void OnStreamfileOpen();
	afx_msg void OnSelecttextTool();
	afx_msg void OnSnapshotTool();
	afx_msg void OnFindtextTool();
	afx_msg void OnDestroy();
	afx_msg void OnChooseLanguage();
	afx_msg void OnOK();
	afx_msg void OnOpenFtpFile();
	afx_msg void OnEnableHypeLink();
	afx_msg void OnEnableTooltip();
	afx_msg void OnSetMenu();
	afx_msg void OnNavigation();
	afx_msg void OnOnContextMenuIndexFoxitpdfsdkstdctrl1(short nIndex);
	afx_msg void OnOnCloseDocumentFoxitpdfsdkstdctrl1(LPCTSTR FilePath);
	afx_msg void OnOpenmemfileforprint();
	afx_msg void OnRemoveemark();
	afx_msg void OnCrashLogPath();
	afx_msg void OnPropertiesFile();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	
public:
	void OnMENUITEMexpandtree();
	void MyExpandTree(HTREEITEM   hTreeItem);
	void ProcOutline(CPDFOutline outline,HTREEITEM hParentItem);
	CMap<HTREEITEM,HTREEITEM,CPDFOutline,CPDFOutline&> m_bookMarkMap;
private:
	HACCEL m_hAccel;
	BYTE* m_pBuffer;
};
