// Zoom.cpp : implementation file
//

#include "stdafx.h"
#include "AX_Std_Demo.h"
#include "Zoom.h"
#include "foxitpdfsdk.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CZoom dialog


CZoom::CZoom(CWnd* pParent /*=NULL*/)
	: CDialog(CZoom::IDD, pParent)
{
	//{{AFX_DATA_INIT(CZoom)
	m_zoomfactor = 0;
	//}}AFX_DATA_INIT
}


void CZoom::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CZoom)
	DDX_Text(pDX, IDC_EDIT1, m_zoomfactor);
	DDV_MinMaxLong(pDX, m_zoomfactor, 0, 6400);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CZoom, CDialog)
	//{{AFX_MSG_MAP(CZoom)
	ON_BN_CLICKED(IDC_CANCEL, OnCancel)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CZoom message handlers

void CZoom::OnOK() 
{ 
	UpdateData(true);
	m_pAX->SetZoomLevel(m_zoomfactor);	// TODO: Add extra validation here
	CDialog::OnOK();
}

void CZoom::init(CFoxitPDFSDK* pAX)
{
	m_pAX = pAX;
}


void CZoom::OnCancel() 
{
	CDialog::OnCancel();	
}
